Subject: small bug in tcp

From: john <[email-masked]>
Date: Sat, 28 Jul 2007 19:07:05 +0300

When application closes socket with unread data in receive buffer, tcp 
stack sends rst packet from the wrong source port, not the source port 
of the socket being closed.

This is the same problem that was described in my first post, witch 
unfortunately nobody cared to look into.

This problem appeared in 2.4.0-test9-pre3 and is still present in kernel.